@import "default.css";

/** Index Page ********************************************************/
.welcome-section {
	font-family: var(--poppins);
	display: flex;
	flex-direction: column;
	justify-content: top;
	height: calc(21rem + 4.5vh);
	font-weight: bolder;
	font-size: 1.5rem;
}
#welcome-hello {
	margin: 5vw 0 clamp(50px, 7vw, 7vw) 0;
}
#welcome-i-am {
	font-size: 1.95rem;
	line-height: 1.3em;
}
.typing {
	border-right: 0.1em solid #2F2E38;
	-webkit-animation: typing-blink 800ms step-end infinite;
	        animation: typing-blink 800ms step-end infinite;
}
@-webkit-keyframes typing-blink {
	from, to {
		border-color: transparent;
	}
	50% {
		border-color: #2F2E38;
	}
}
@keyframes typing-blink {
	from, to {
		border-color: transparent;
	}
	50% {
		border-color: #2F2E38;
	}
}
.welcome-section h4 {
	font-weight: normal;
	max-width: 40ch;
	margin-top: 0.6rem;
}
.project-card-container {
	padding: 0;
	display: flex;
	flex-direction: column;
	border-radius: 5px;
	margin: 2.75rem auto;
	/* HOVER OFF */
	-webkit-transition: all 600ms;
}
.project-card-container:first-child {
	margin-top: 2rem !important;
}
.project-card-container:last-child {
	margin-bottom: 2rem !important;
}
.project-card-container:hover {
	transition: all 750ms ease;
	transform: scale(1.01);
	box-shadow: 0 0 1rem 0.05rem rgb(54, 53, 64, 0.75);
}
.project-card-img-container {
	flex: 1;
	transition: all 500ms ease-in-out;
	position: relative;
}
.project-card-img-container::after {
	display: block;
	content: "";
	/* 16:9 aspect ratio */
	padding-bottom: 56.25%;
}
.project-card-img-container > img {
	/* image should match parent box size */
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
}
.project-card-content {
	font-family: var(--lato);
	position: relative;
	flex: 1;
	display: flex;
	flex-direction: column;
}
#project-dailyui-collection-01,
.project-dailyui-collection-01,
#project-dailyui-collection-01 > .project-card-content,
#project-dailyui-collection-01 .project-card-container {
	background-color: var(--project-dailyui-collection-01) !important;
}
#project-pokedoke,
.project-pokedoke,
#project-pokedoke > .project-card-content,
#project-pokedoke .project-card-container {
	background-color: var(--project-pokedoke) !important;
}
#project-findr,
.project-findr,
#project-findr > .project-card-content,
#project-findr .project-card-container {
	background-color: var(--project-findr) !important;
}
#project-spotify,
.project-spotify,
#project-spotify > .project-card-content,
#project-spotify .project-card-container {
	background-color: var(--project-spotify) !important;
}
.project-card-title,
.project-card-tags,
.project-card-desc,
.project-card-link,
.project-card-link:hover,
.project-card-link:active {
	color: #FFFFFF;
}
.project-card-title,
.project-card-desc,
.project-card-link {
	--spacing: 0.85rem;
	margin-left: var(--spacing);
	margin-right: var(--spacing);
}
.project-card-tags {
	display: flex;
	flex-wrap: wrap;
	margin-top: 0.5rem;
	margin-bottom: 0.125rem;
	--spacing: 0.85rem;
	margin-left: calc(var(--spacing));
	margin-right: calc(var(--spacing));
}
.project-card-title {
	font-size: 1.55rem;
	font-family: var(--poppins);
	font-weight: 600;
	line-height: 2rem;
	margin-top: 0.75rem;
	margin-bottom: 0rem;
}
.project-card-tag {
	font-size: 0.75rem;
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
	box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
	padding: 0.3rem 0.6rem;
	border: 2px solid #FFFFFF;
	border-radius: 12px;
	margin-top: 0.3rem;
	margin-right: 0.5rem;
}
.project-card-tags:first-child,
.project-card-tags:only-child {
	margin-left: 0px;
}
.project-card-tag:last-child {
	margin-right: 0px;
}
.project-card-desc {
	line-height: 1.4rem;
	font-size: 0.95rem;
	font-family: var(--lato);
	font-weight: 400;
	margin-top: 0.75rem;
	margin-bottom: 3.5rem;
}
.project-card-link {
	font-size: 0.95rem;
	text-decoration: none;
	font-weight: bold;
	position: absolute;
	bottom: 0;
	left: 0;
	margin-top: 0.8rem;
	margin-bottom: 0.9rem;
	overflow: hidden;
}
.project-card-link::after {
	content: "";
	width: 100%;
	height: 2px;
	background-color: #FFFFFF;
	position: absolute;
	left: 0;
	bottom: 0;
}
.project-card-link:hover::after {
	transform: translate(100%, 0);
	transition: all 500ms;
}
.project-card-content {
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
}
.project-card-img-container > img {
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}
/** Index Page End ********************************************************/

/* // Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
	.welcome-section {
		margin-bottom: 2rem;
	}
	#welcome-hello {
		margin: 4.5vw 0 clamp(50px, 5vw, 5vw) 0;
	}
	.project-card-container {
		flex-direction: row;
	}
	.alternate {
		flex-direction: row-reverse;
	}
	.project-card-img-container {
		flex: 1.6;
		margin-bottom: 0;
	}
	.regular > .project-card-content,
	.alternate > .project-card-img-container > img {
		border-top-left-radius: 0;
		border-bottom-left-radius: 0;
		border-top-right-radius: 5px;
		border-bottom-right-radius: 5px;
	}
	.alternate > .project-card-content,
	.regular > .project-card-img-container > img {
		border-top-right-radius: 0;
		border-bottom-right-radius: 0;
		border-top-left-radius: 5px;
		border-bottom-left-radius: 5px;
	}
	.project-card-title,
	.project-card-desc,
	.project-card-link {
		--spacing: 0.8rem;
		margin-left: var(--spacing);
		margin-right: var(--spacing);
	}
	.project-card-title {
		line-height: normal;
		margin-top: 1rem;
		margin-bottom: 0;
	}
	.project-card-desc {
		margin-top: 0.9rem;
		margin-bottom: 4rem;
	}
	.project-card-link {
		margin-bottom: 1rem;
	}
	.regular .project-card-content {
		border-left: 0;
	}
	.alternate .project-card-content {
		border-right: 0;
	}
}

/* // Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
	.project-card-img-container {
		flex: 1.7;
	}
	.project-card-content {
		flex: 1;
	}
	.project-card-desc {
		margin-top: 1.125rem;
	}
}

/* // XL devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
	/* .project-card-title {
		font-size: 1.5rem;
	} */
}

/*# sourceMappingURL=data:application/json;base64,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 */